Page MenuHomePhabricator

Consistent types and naming for AArch64 target features (NFC)
ClosedPublic

Authored by chill on Jul 9 2019, 6:33 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

chill created this revision.Jul 9 2019, 6:33 AM
chill added a subscriber: cfe-commits.

FWIW I think this looks reasonable. The ARM equivalent uses bitfields such as

unsigned CRC : 1;
unsigned Crypto : 1;
unsigned DSP : 1;
unsigned Unaligned : 1;
unsigned DotProd : 1;

Which would make more sense than using unsigned for each individual field. Several other targets that I looked at used bool and the Has<feature> convention so I think this brings AArch64 more in line with non ARM Targets at the cost of losing a little coherence with ARM where the name Crypto remains. I don't think that this is particularly important as the two have already started to diverge with HasDotProd.

chill accepted this revision.Jul 16 2019, 1:43 AM

Going to commit as obvious.

This revision is now accepted and ready to land.Jul 16 2019, 1:43 AM
chill updated this revision to Diff 210286.Jul 17 2019, 4:19 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 17 2019, 4:24 AM